summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Minime <i_am_minime_2003@hotmail.com>2012-12-30 14:40:19 -0500
committer dsomero <xgizzmo@slackbuilds.org>2012-12-30 14:42:09 -0500
commit3d4a8072ee24b1a77a08adf552c5bda26b9804cc (patch)
treee1cab6ae2521672864e2283594abdc863cee83da
parentf820b00ab5b68d0acc0ab04caa8a7be37bdde80a (diff)
downloadslackbuilds-3d4a8072ee24b1a77a08adf552c5bda26b9804cc.tar.gz
slackbuilds-3d4a8072ee24b1a77a08adf552c5bda26b9804cc.tar.xz
multimedia/spotify: Added (digital music service)
This is a repackaged .deb file and I had to make some symlinks and a wrapper just to get it to work. It runs to the point of login but I can not test it past that. Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--multimedia/spotify/README3
-rw-r--r--multimedia/spotify/doinst.sh3
-rw-r--r--multimedia/spotify/slack-desc20
-rw-r--r--multimedia/spotify/spotify3
-rw-r--r--multimedia/spotify/spotify.SlackBuild72
-rw-r--r--multimedia/spotify/spotify.info10
6 files changed, 111 insertions, 0 deletions
diff --git a/multimedia/spotify/README b/multimedia/spotify/README
new file mode 100644
index 0000000000..5a93310207
--- /dev/null
+++ b/multimedia/spotify/README
@@ -0,0 +1,3 @@
+You need to be Premium User to login and be able to listen to music
+from this application, also note this software might not run on AMD
+CPU hardware.
diff --git a/multimedia/spotify/doinst.sh b/multimedia/spotify/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/multimedia/spotify/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/multimedia/spotify/slack-desc b/multimedia/spotify/slack-desc
new file mode 100644
index 0000000000..b7c1defce1
--- /dev/null
+++ b/multimedia/spotify/slack-desc
@@ -0,0 +1,20 @@
+ HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+spotify: Spotify (digital music service)
+spotify:
+spotify: Spotify is a digital music service that gives you
+spotify: access to millions of songs.
+spotify:
+spotify: http://www.spotify.com
+spotify:
+spotify:
+spotify:
+spotify:
+spotify:
+
diff --git a/multimedia/spotify/spotify b/multimedia/spotify/spotify
new file mode 100644
index 0000000000..4057104668
--- /dev/null
+++ b/multimedia/spotify/spotify
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+LD_LIBRARY_PATH="/usr/share/spotify/" /usr/share/spotify/spotify $@
diff --git a/multimedia/spotify/spotify.SlackBuild b/multimedia/spotify/spotify.SlackBuild
new file mode 100644
index 0000000000..8b98fa63da
--- /dev/null
+++ b/multimedia/spotify/spotify.SlackBuild
@@ -0,0 +1,72 @@
+#!/bin/sh
+#
+# Slackware build script for spotify
+
+# Copyright 2011-2012 Minime
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=spotify
+VERSION=0.8.4.103.g9cb177b.260
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+case "$(uname -m)" in
+ i?86) DEBARCH="i386" ; LIBDIRSUFFIX="" ; ARCH=i386 ;;
+ x86_64) DEBARCH="amd64" ; LIBDIRSUFFIX="64" ; ARCH=x86_64 ;;
+ *) echo "Package for $(uname -m) architecture is not available." ; exit 1 ;;
+esac
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+ar -p $CWD/${PRGNAM}-client_${VERSION}-1_${DEBARCH}.deb data.tar.gz | tar zxv
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# Replace the symlink with our wrapper.
+rm $PKG/usr/bin/spotify
+install -m0755 -oroot -groot $CWD/spotify $PKG/usr/bin/spotify
+
+# Symlinks to fix lib naming issue.
+cd $PKG/usr/share/spotify/
+ln -s /usr/lib$LIBDIRSUFFIX/libnss3.so libnss3.so.1d
+ln -s /usr/lib$LIBDIRSUFFIX/libnssutil3.so libnssutil3.so.1d
+ln -s /usr/lib$LIBDIRSUFFIX/libsmime3.so libsmime3.so.1d
+ln -s /usr/lib$LIBDIRSUFFIX/libplc4.so libplc4.so.0d
+ln -s /usr/lib$LIBDIRSUFFIX/libnspr4.so libnspr4.so.0d
+
+
+mv $PKG/usr/share/doc $PKG/usr
+mv $PKG/usr/doc/$PRGNAM-client $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-${VERSION}-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/spotify/spotify.info b/multimedia/spotify/spotify.info
new file mode 100644
index 0000000000..7d0dbad135
--- /dev/null
+++ b/multimedia/spotify/spotify.info
@@ -0,0 +1,10 @@
+PRGNAM="spotify"
+VERSION="0.8.4.103.g9cb177b.260"
+HOMEPAGE="http://www.spotify.com"
+DOWNLOAD="http://repository.spotify.com/pool/non-free/s/spotify/spotify-client_0.8.4.103.g9cb177b.260-1_i386.deb"
+MD5SUM="0d87b47e356b308b56399ceabe8bd6c8"
+DOWNLOAD_x86_64="http://repository.spotify.com/pool/non-free/s/spotify/spotify-client_0.8.4.103.g9cb177b.260-1_amd64.deb"
+MD5SUM_x86_64="d85ef9a3e612510b8565834df66eb47e"
+REQUIRES=""
+MAINTAINER="Minime"
+EMAIL="i_am_minime_2003@hotmail.com"